> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# List Ava File Forms

GET https://rest.avatax.com/api/v2/definitions/avafileforms

> **Access control:** this endpoint is available to users with the `everyone` role.

This API is deprecated.
            
Please use the ListTaxForms API.
            
Returns the full list of Avalara-supported AvaFile Forms
This API is intended to be useful to identify all the different AvaFile Forms

Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/list-ava-file-forms

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `$filter` (string, optional) — A filter statement to identify specific records to retrieve. For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* outletTypeId
- `$top` (integer, optional) — If nonzero, return no more than this number of results. Used with `$skip` to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
- `$skip` (integer, optional) — If nonzero, skip this number of results before returning data. Used with `$top` to provide pagination for large datasets.
- `$orderBy` (string, optional) — A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`.

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `@recordsetCount` (integer, optional)
- `value` (list of AvaFileFormModel, optional)
- `@nextLink` (string, optional)
- `pageKey` (string, optional)

## Types

### AvaFileFormModel

Represents information about a tax form known to Avalara

- `id` (integer, optional) — Unique Id of the form
- `returnName` (string, optional) — Name of the file being returned
- `formName` (string, optional) — Name of the submitted form
- `description` (string, optional) — A description of the submitted form
- `effDate` (datetime, optional) — The date this form starts to take effect
- `endDate` (datetime, optional) — The date the form finishes to take effect
- `region` (string, optional) — State/Province/Region where the form is submitted for
- `country` (string, optional) — The country this form is submitted for
- `formTypeId` (enum, optional) — The type of the form being submitted
  - Allowed values: `SalesAndUse`, `Sales`, `SellersUse`, `Lodging`, `SalesAndLodging`, `ConsumerUse`, `ResortAndRental`, `TouristAndRental`, `Prepayment`, `PrepaymentAllowed`
- `filingOptionTypeId` (enum, optional) — The type of Filing option
  - Allowed values: `Paper`, `OptionalEfile`, `MandatoryEfile`
- `dueDateTypeId` (enum, optional) — The type of the due date
  - Allowed values: `ByDay`, `ByLastDay`, `BySecondLastDay`
- `dueDay` (integer, optional) — Due date
- `efileDueDateTypeId` (enum, optional) — The type of E-file due date.
  - Allowed values: `ByDay`, `ByLastDay`, `BySecondLastDay`
- `efileDueDay` (integer, optional) — The date by when the E-filing should be submitted
- `efileDueTime` (datetime, optional) — The time of day by when the E-filing should be submitted
- `hasVendorDiscount` (boolean, optional) — Whether the customer has discount
- `roundingTypeId` (enum, optional) — The way system does the rounding
  - Allowed values: `None`, `Nearest`, `Up`, `Down`
- `outletTypeId` (enum, optional) — The outlet type of the form
  - Allowed values: `None`, `Schedule`, `Duplicate`, `Consolidated`

## Examples

**Response**

```json
{
  "@recordsetCount": 1,
  "value": [
    {
      "id": 2415,
      "returnName": "CABOE401A2",
      "formName": "CA BOE 401 A2",
      "description": "State, Local, and District Sales and Use Tax Return",
      "effDate": "2005-04-01T00:00:00",
      "endDate": "9999-12-31T00:00:00",
      "region": "CA",
      "country": "US",
      "formTypeId": "SalesAndUse",
      "filingOptionTypeId": "Paper",
      "dueDateTypeId": "ByDay",
      "dueDay": 20,
      "efileDueDateTypeId": "ByDay",
      "efileDueDay": 20,
      "efileDueTime": "1900-01-01T00:00:00",
      "hasVendorDiscount": false,
      "roundingTypeId": "None",
      "outletTypeId": "None"
    }
  ],
  "@nextLink": "string",
  "pageKey": "string"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/definitions/avafileforms"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/definitions/avafileforms';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/definitions/avafileforms"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/definitions/avafileforms")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/definitions/avafileforms")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/definitions/avafileforms', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/definitions/avafileforms");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/definitions/avafileforms")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```